
From: Peter Missel <peter.missel@onlinehome.de>

Subject says it ...  this card's IR microcontroller design and attachment
are compatible to the company's previous designs, so the patch was as
simple as it gets.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/media/video/saa7134/saa7134-cards.c |    1 +
 25-akpm/drivers/media/video/saa7134/saa7134-input.c |    1 +
 2 files changed, 2 insertions(+)

diff -puN drivers/media/video/saa7134/saa7134-cards.c~lifeview-flytv-platinum-fm-remote-control-support drivers/media/video/saa7134/saa7134-cards.c
--- 25/drivers/media/video/saa7134/saa7134-cards.c~lifeview-flytv-platinum-fm-remote-control-support	Mon Apr 11 17:26:28 2005
+++ 25-akpm/drivers/media/video/saa7134/saa7134-cards.c	Mon Apr 11 17:26:28 2005
@@ -1948,6 +1948,7 @@ int saa7134_board_init1(struct saa7134_d
 		dev->has_remote = 1;
 		board_flyvideo(dev);
 		break;
+	case SAA7134_BOARD_FLYTVPLATINUM_FM:
 	case SAA7134_BOARD_CINERGY400:
 	case SAA7134_BOARD_CINERGY600:
 	case SAA7134_BOARD_CINERGY600_MK3:
diff -puN drivers/media/video/saa7134/saa7134-input.c~lifeview-flytv-platinum-fm-remote-control-support drivers/media/video/saa7134/saa7134-input.c
--- 25/drivers/media/video/saa7134/saa7134-input.c~lifeview-flytv-platinum-fm-remote-control-support	Mon Apr 11 17:26:28 2005
+++ 25-akpm/drivers/media/video/saa7134/saa7134-input.c	Mon Apr 11 17:26:28 2005
@@ -379,6 +379,7 @@ int saa7134_input_init1(struct saa7134_d
 	switch (dev->board) {
 	case SAA7134_BOARD_FLYVIDEO2000:
 	case SAA7134_BOARD_FLYVIDEO3000:
+	case SAA7134_BOARD_FLYTVPLATINUM_FM:
 		ir_codes     = flyvideo_codes;
 		mask_keycode = 0xEC00000;
 		mask_keydown = 0x0040000;
_
